import request from '@/utils/request'
export function listProductionPlan1() {
  return request({
    url: '/system/productionPlan/all',
    method: 'get',
  })
}

// 查询生产计划列表
export function listProductionPlan(query) {
  return request({
    url: '/system/productionPlan/list',
    method: 'get',
    params: query
  })
}

// 查询生产计划详细
export function getProductionPlan(FID) {
  return request({
    url: '/system/productionPlan/' + FID,
    method: 'get'
  })
}

// 新增生产计划
export function addProductionPlan(data) {
  return request({
    url: '/system/productionPlan',
    method: 'post',
    data: data
  })
}

// 修改生产计划
export function updateProductionPlan(data) {
  return request({
    url: '/system/productionPlan',
    method: 'put',
    data: data
  })
}

// 删除生产计划
export function delProductionPlan(FID) {
  return request({
    url: '/system/productionPlan/' + FID,
    method: 'delete'
  })
}
